## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbCacheModeAttribute

    java.lang.Object
      java.lang.Enum<JaxbCacheModeAttribute>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbCacheModeAttribute

All Implemented Interfaces:
  Serializable, Comparable<JaxbCacheModeAttribute>

    public enum JaxbCacheModeAttribute

extends Enum<JaxbCacheModeAttribute>

Java class for cache-mode-attribute.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="cache-mode-attribute">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="get"/>
         <enumeration value="ignore"/>
         <enumeration value="normal"/>
         <enumeration value="put"/>
         <enumeration value="refresh"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`GET`
`IGNORE`
`NORMAL`
`PUT`
`REFRESH`

Method Summary
`static JaxbCacheModeAttribute` `fromValue(String v)`
`String` `value()`
`static JaxbCacheModeAttribute` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbCacheModeAttribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final JaxbCacheModeAttribute GET

### IGNORE

    public static final JaxbCacheModeAttribute IGNORE

### NORMAL

    public static final JaxbCacheModeAttribute NORMAL

### PUT

    public static final JaxbCacheModeAttribute PUT

### REFRESH

    public static final JaxbCacheModeAttribute REFRESH

Method Detail

### values

    public static JaxbCacheModeAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbCacheModeAttribute c : JaxbCacheModeAttribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbCacheModeAttribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbCacheModeAttribute fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.